loadHeightTypes = {}

local modDirectory = g_currentModDirectory

function loadHeightTypes.loadHeightTypesFromXML(self, superFunc, val1, val2)
  if fileExists(modDirectory.."xml/densityMapHeightTypes.xml") then
    local heightTypesXML = loadXMLFile("heightTypes", modDirectory.."xml/densityMapHeightTypes.xml")

    g_densityMapHeightManager:loadDensityMapHeightTypes(heightTypesXML, nil, modDirectory, false)
	  delete(heightTypesXML)
  else
    print("Warning: Can't load '"..tostring(modDirectory.."xml/densityMapHeightTypes.xml").."' no custom HeightTypes loaded!")
  end
end

Mission00.load = Utils.prependedFunction(Mission00.load, loadHeightTypes.loadHeightTypesFromXML)